// ファイル名：  Ch04/funcBox_05_Array.cc 
#include <iostream> 
#include "units.inc" 
using namespace std; 
void scaleBoxVolume(double[], double); 
 
int main() { 
  double boxSize[]={ 35.0*cm, 2.5*mm, 1.5*m }, scale=3.0; 
  scaleBoxVolume(boxSize, scale); 
  cout << "(x,y,z)= " << boxSize[0]/cm << "cm, " 
                      << boxSize[1]/mm << "mm, "  
                      << boxSize[2]/m  << "m" << endl; 
  return 0; } 
 
void scaleBoxVolume(double size[], double s)  
{ for(int i=0; i<3; i++) size[i]*=s; }
